Mailinglist Archive: opensuse-security-announce (93 mails)

< Previous Next >
[security-announce] openSUSE-SU-2019:1667-1: moderate: Recommended update for evince
openSUSE Security Update: Recommended update for evince
______________________________________________________________________________

Announcement ID: openSUSE-SU-2019:1667-1
Rating: moderate
References: #1122794 #1133037
Cross-References: CVE-2019-11459
Affected Products:
openSUSE Leap 15.1
openSUSE Leap 15.0
______________________________________________________________________________

An update that solves one vulnerability and has one errata
is now available.

Description:

This update for evince provides the following fixes:

Security issue fixed:

- CVE-2019-11459: Fixed an improper error handling in which could have led
to use of unitialized use of memory (bsc#1133037).

Other issue addressed:

- Removed Supplements from psdocument package, so that it isn't pulled in
by default (bsc#1122794).

This update was imported from the SUSE:SLE-15:Update update project.


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 15.1:

zypper in -t patch openSUSE-2019-1667=1

- openSUSE Leap 15.0:

zypper in -t patch openSUSE-2019-1667=1



Package List:

- openSUSE Leap 15.1 (noarch):

evince-lang-3.26.0+20180128.1bd86963-lp151.4.3.1

- openSUSE Leap 15.1 (x86_64):

evince-3.26.0+20180128.1bd86963-lp151.4.3.1
evince-debuginfo-3.26.0+20180128.1bd86963-lp151.4.3.1
evince-debugsource-3.26.0+20180128.1bd86963-lp151.4.3.1
evince-devel-3.26.0+20180128.1bd86963-lp151.4.3.1
evince-plugin-comicsdocument-3.26.0+20180128.1bd86963-lp151.4.3.1

evince-plugin-comicsdocument-debuginfo-3.26.0+20180128.1bd86963-lp151.4.3.1
evince-plugin-djvudocument-3.26.0+20180128.1bd86963-lp151.4.3.1
evince-plugin-djvudocument-debuginfo-3.26.0+20180128.1bd86963-lp151.4.3.1
evince-plugin-dvidocument-3.26.0+20180128.1bd86963-lp151.4.3.1
evince-plugin-dvidocument-debuginfo-3.26.0+20180128.1bd86963-lp151.4.3.1
evince-plugin-pdfdocument-3.26.0+20180128.1bd86963-lp151.4.3.1
evince-plugin-pdfdocument-debuginfo-3.26.0+20180128.1bd86963-lp151.4.3.1
evince-plugin-psdocument-3.26.0+20180128.1bd86963-lp151.4.3.1
evince-plugin-psdocument-debuginfo-3.26.0+20180128.1bd86963-lp151.4.3.1
evince-plugin-tiffdocument-3.26.0+20180128.1bd86963-lp151.4.3.1
evince-plugin-tiffdocument-debuginfo-3.26.0+20180128.1bd86963-lp151.4.3.1
evince-plugin-xpsdocument-3.26.0+20180128.1bd86963-lp151.4.3.1
evince-plugin-xpsdocument-debuginfo-3.26.0+20180128.1bd86963-lp151.4.3.1
libevdocument3-4-3.26.0+20180128.1bd86963-lp151.4.3.1
libevdocument3-4-debuginfo-3.26.0+20180128.1bd86963-lp151.4.3.1
libevview3-3-3.26.0+20180128.1bd86963-lp151.4.3.1
libevview3-3-debuginfo-3.26.0+20180128.1bd86963-lp151.4.3.1
nautilus-evince-3.26.0+20180128.1bd86963-lp151.4.3.1
nautilus-evince-debuginfo-3.26.0+20180128.1bd86963-lp151.4.3.1
typelib-1_0-EvinceDocument-3_0-3.26.0+20180128.1bd86963-lp151.4.3.1
typelib-1_0-EvinceView-3_0-3.26.0+20180128.1bd86963-lp151.4.3.1

- openSUSE Leap 15.0 (x86_64):

evince-3.26.0+20180128.1bd86963-lp150.3.3.1
evince-debuginfo-3.26.0+20180128.1bd86963-lp150.3.3.1
evince-debugsource-3.26.0+20180128.1bd86963-lp150.3.3.1
evince-devel-3.26.0+20180128.1bd86963-lp150.3.3.1
evince-plugin-comicsdocument-3.26.0+20180128.1bd86963-lp150.3.3.1

evince-plugin-comicsdocument-debuginfo-3.26.0+20180128.1bd86963-lp150.3.3.1
evince-plugin-djvudocument-3.26.0+20180128.1bd86963-lp150.3.3.1
evince-plugin-djvudocument-debuginfo-3.26.0+20180128.1bd86963-lp150.3.3.1
evince-plugin-dvidocument-3.26.0+20180128.1bd86963-lp150.3.3.1
evince-plugin-dvidocument-debuginfo-3.26.0+20180128.1bd86963-lp150.3.3.1
evince-plugin-pdfdocument-3.26.0+20180128.1bd86963-lp150.3.3.1
evince-plugin-pdfdocument-debuginfo-3.26.0+20180128.1bd86963-lp150.3.3.1
evince-plugin-psdocument-3.26.0+20180128.1bd86963-lp150.3.3.1
evince-plugin-psdocument-debuginfo-3.26.0+20180128.1bd86963-lp150.3.3.1
evince-plugin-tiffdocument-3.26.0+20180128.1bd86963-lp150.3.3.1
evince-plugin-tiffdocument-debuginfo-3.26.0+20180128.1bd86963-lp150.3.3.1
evince-plugin-xpsdocument-3.26.0+20180128.1bd86963-lp150.3.3.1
evince-plugin-xpsdocument-debuginfo-3.26.0+20180128.1bd86963-lp150.3.3.1
libevdocument3-4-3.26.0+20180128.1bd86963-lp150.3.3.1
libevdocument3-4-debuginfo-3.26.0+20180128.1bd86963-lp150.3.3.1
libevview3-3-3.26.0+20180128.1bd86963-lp150.3.3.1
libevview3-3-debuginfo-3.26.0+20180128.1bd86963-lp150.3.3.1
nautilus-evince-3.26.0+20180128.1bd86963-lp150.3.3.1
nautilus-evince-debuginfo-3.26.0+20180128.1bd86963-lp150.3.3.1
typelib-1_0-EvinceDocument-3_0-3.26.0+20180128.1bd86963-lp150.3.3.1
typelib-1_0-EvinceView-3_0-3.26.0+20180128.1bd86963-lp150.3.3.1

- openSUSE Leap 15.0 (noarch):

evince-lang-3.26.0+20180128.1bd86963-lp150.3.3.1


References:

https://www.suse.com/security/cve/CVE-2019-11459.html
https://bugzilla.suse.com/1122794
https://bugzilla.suse.com/1133037

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages